package fr.natan.akkastreamfileprocessingapi.futurecompleteness;

import scala.collection.IndexedSeq;
import scala.concurrent.Future;

import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executors;


public class CompletableFutureResult<T> {

    public CompletableFuture<T> buildcompletableFuture(Future<T> future){
        CompletableFuture<T> completableFuture = new CompletableFuture<>();
        Executors.newCachedThreadPool().submit(()->{
            Thread.sleep(500);
            return completableFuture.complete(future.value().get().get());
        });
        return completableFuture;
    }

    public CompletableFuture<IndexedSeq<T>> buildCompletableFuture2(Future<IndexedSeq<T>> futures){
        CompletableFuture<IndexedSeq<T>> completableFuture = new CompletableFuture<>();
        Executors.newCachedThreadPool().submit(
                ()->{
                    Thread.sleep(500);
                    return completableFuture.complete(futures.value().get().get().seq());
                }
        );
        return completableFuture;
    }
}
